> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post mockapiv1actions



## OpenAPI

````yaml post /mock/api/v1/actions
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /mock/api/v1/actions:
    post:
      tags: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLegacyActionSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/CreateLegacyActionSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/CreateLegacyActionSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/CreateLegacyActionSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    CreateLegacyActionSchema:
      required:
        - action
        - params
        - search_type
      type: object
      properties:
        device_ids:
          type: array
          items:
            type: string
        search_type:
          type: string
        metadata:
          type: object
        search_key:
          type: string
        search_query:
          type: string
        timeout:
          type: integer
          format: int64
        action:
          type: string
        params:
          type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````